Chuyển đến nội dung chính
POST
/
table
/
{tableId}
/
record
cURL
curl --request POST \
  --url https://sheets.vn/api/table/%7BtableId%7D/record \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"fieldKeyType":"id","typecast":true,"order":{"viewId":"string","anchorId":"string","position":"before"},"records":[{"fields":{"single line text":"text value"}}]}'
{
  "records": [
    {
      "id": "recXXXXXXX",
      "fields": {
        "single line text": "text value"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.sheets.vn/docs/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số đường dẫn

tableId
string
bắt buộc

Nội dung

application/json

Multiple Create records

records
object[]
bắt buộc

Array of record objects

Ví dụ:
[
{
"fields": { "single line text": "text value" }
}
]
fieldKeyType
enum<string>
mặc định:name

Define the key type of record.fields[key], You can click "systemInfo" in the field edit box to get fieldId or enter the table design screen with all the field details

Tùy chọn có sẵn:
id,
name,
dbFieldName
typecast
boolean

Automatic data conversion from cellValues if the typecast parameter is passed in. Automatic conversion is disabled by default to ensure data integrity, but it may be helpful for integrating with 3rd party data sources.

order
object

Where this record to insert to (Optional)

Phản hồi

201 - application/json

Returns data about the records.

records
object[]
bắt buộc

Array of record objects

Ví dụ:
[
{
"id": "recXXXXXXX",
"fields": { "single line text": "text value" }
}
]